
*{
    margin:0;
    padding:0;
    box-sizing: border-box;
}

body{
    font-family: Arial, Helvetica, sans-serif;
    background:#f8f8f2 ;
    color: #333;
  
    min-height: 100vh;
    flex-direction: column;
    display: flex;
}
main{
    flex: 1;
}

#bg {
    height: 85vh;
    background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.7)), url(produit.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;



}

header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 60px;
    background: rgb(14, 12, 12);
    box-shadow: 0 2px 10px rgba(0,0,0,0.05);

}

.logo span{
color:gold;
}

nav a{
    color: #f8f8f2;
    text-decoration: none;
    margin: 12px;
}

nav a:hover{
    color: #c89b3c;
}

.page{
    padding: 80px 20px;
    text-align: center;
    max-width: 900px;
    margin: auto;
}

.page h1{
    font-size: 40px;
    margin-bottom: 20px;
    color: #e0ce28;
    text-align: center;
    margin-top: 200px;
}

.page p{
    font-size: 19px;
    color: #faf4f4;
}

footer {
    background: #000;
    color: #fff;
    text-align: center;
    padding: 10px;
}



 @media(max-width:768px){
    header{ 
        flex-direction: column;
        padding: 20px;
    }
    nav{
        margin-top: 10px;
    }
    nav a{
        margin: 10px;
        display: inline-block;
    }

    .page h1{
        font-size: 28px;
    }
    .page p{
        font-size: 17px;
    }
 }


 /*rendre adaptable à tout type d'écrans*/

/*images adaptablea*/
img{
    max-width: 100%;
    height: auto;
}

/*tablette*/
@media(max-width:900px){
    .hero{
        flex-direction: column;
        text-align: center;
        padding: 50px;
    }
    .login-box{
        margin-top: 20px;
    }
    .cards{
        grid-template-columns: 1fr 1fr;
    }
}

/*telephone*/
@media(max-width:600px){
header{
    flex-direction: column;
}
nav{
    display: flex;
    flex-direction: column;
    background: #000;
    position: absolute;
    top: 70px;
    right: 20px;
    padding: 20px;
}
.menu btn{
    display: block;
    font-size: 26px;
    cursor: pointer;
}
.hero h1{
    font-size: 28px;
}
.cards{
    grid-template-columns: 1fr;
}
.page{
    padding:20px;
}
}
